Bug 47379 - patch for elm port
Summary: patch for elm port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-23 00:40 UTC by jsutton
Modified: 2003-09-09 17:31 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (377 bytes, patch)
2003-01-23 00:40 UTC, jsutton
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jsutton 2003-01-23 00:40:01 UTC
	Elm doesn't seem to want to compile without adding extra switches to
	the call to nm in the configure script. I've created a patch for this
	to allow us to compile the port locally. Could you please consider
	that patch (attached) for inclusion into the port.

	Thanks, Joel...

Fix: Save this patch into the files directory inside the elm port.
How-To-Repeat: 	cd /usr/ports/mail/elm
	make install
Comment 1 toasty 2003-01-27 10:13:05 UTC
Sorry for not seeing this sooner, I somehow missed this bug report.

Even adding -D to nm doesn't seem to find all the symbols, and -D isn't a 
valid option on very old versions of nm. But the following patch fixes elm 
on all versions I have available to test with.

uuencoded replacement for ports/mail/elm/files/patch-aa

begin 644 patch-aa
M+2TM($-O;F9I9W5R92YO<FEG"49R:2!$96,@,34@,30Z,#`Z-34@,C`P,`HK
M*RL@0V]N9FEG=7)E"4UO;B!*86X@,C<@,#0Z,#0Z-34@,C`P,PI`0"`M,3@L
M,3$@*S$X+#8@0$`*(%!!5$@](BXZ+V)I;CHO=7-R+V)I;CHO=7-R+VQO8V%L
M+V)I;CHO=7-R+W5C8CHO=7-R+VQO8V%L.B]U<W(O;&)I;CHO971C.B]U<W(O
M;F5W.B]U<W(O;F5W+V)I;CHO=7-R+VYB:6XZ)%!!5$@B"B!E>'!O<G0@4$%4
M2"!\?"`H96-H;R`B3T]04RP@=&AI<R!I<VXG="!S:"X@($1E<W!E<F%T:6]N
M('1I;64N("!)('=I;&P@9F5E9"!M>7-E;&8@=&\@<V@N(CL@<V@@)#`[(&MI
M;&P@)"0I"B`*+6EF('1E<W0@(2`M="`P.R!T:&5N"BT@("`@96-H;R`B4V%Y
M("=S:"!#;VYF:6=U<F4G+"!N;W0@)W-H(#Q#;VYF:6=U<F4G(@HM("`@(&5X
M:70@,0HM9FD*+0H@*&%L:6%S*2`^+V1E=B]N=6QL(#(^)C$@)B8@7`H@("`@
M(&5C:&\@(BA)('-E92!Y;W4@87)E('5S:6YG('1H92!+;W)N('-H96QL+B`@
M4V]M92!K<V@G<R!B;&]W('5P(&]N($-O;F9I9W5R92PB("8F(%P*("`@("!E
M8VAO(")E<W!E8VEA;&QY(&]N(&5X;W1I8R!M86-H:6YE<RX@($EF('EO=7)S
M(&1O97,L('1R>2!T:&4@0F]U<FYE('-H96QL(&EN<W1E860N*2(*0$`@+3(P
M-34L-B`K,C`U,"PW($!`"B`@("`@;&EB8STO=7-R+VQI8B]L:6)C+F$*(&5L
M<V4*('-E="`O=7-R+V-C<R]L:6(O;&EB8RYS;PHK=&5S="`M9B`D,2!\?"!S
M970@+W5S<B]L:6(O;&EB8RYA"B!T97-T("UF("0Q('Q\('-E="`O=7-R+VQI
M8B]L:6)C+G-O"B!T97-T("UF("0Q('Q\('-E="`O=7-R+VQI8B]L:6)C+G-O
M+ELP+3E=*@H@=&5S="`M9B`D,2!\?"!S970@+VQI8B]L:6)S>7-?<RYA"D!`
M("TR,3`X+#<@*S(Q,#0L-R!`0`H@<V5T(&!E8VAO("1L:6)C("1L:6)N86UE
M<R!\('1R("<@)R`G7#`Q,B<@?"!S;W)T('P@=6YI<6`*("1E8VAO("1N(")%
M>'1R86-T:6YG(&YA;65S(&9R;VT@)"H@9F]R(&QA=&5R('!E<G5S86PN+BXD
M8R(*(&YM("1N;5]O<'1S("0J(#(^+V1E=B]N=6QL(#YL:6)C+G1M<`HM)'-E
M9"`M;B`M92`G<R]>+BH@6T%41%-=("`J6U\N72HO+W`G("UE("=S+UXN*B!;
M051$4UT@+R]P)R`\;&EB8RYT;7`@/FQI8F,N;&ES=`HK)'-E9"`M;B`M92`G
M<R]>+BH@6T%41%-772`@*EM?+ETJ+R]P)R`M92`G<R]>+BH@6T%41%-772`O
M+W`G(#QL:6)C+G1M<"`^;&EB8RYL:7-T"B!I9B`D8V]N=&%I;G,@)UYP<FEN
M=&8D)R!L:6)C+FQI<W0@/B]D978O;G5L;"`R/B8Q.R!T:&5N"B`@("`@96-H
M;R!D;VYE"B!E;&EF("1S960@+6X@+64@)W,O7E]?*B\O)R`M92`G<R]>7"A;
M82UZ02U:7S`M.21=*EPI+BIX=&5R;BXJ+UPQ+W`G(%P*0$`@+3(T.38L-R`K
M,C0Y,BPQ,"!`0`H@(PH@.B!S964@:68@8W)Y<'0@97AI<W1S"B!E8VAO("(@
M(@HM:68@)&-O;G1A:6YS("=>8W)Y<'0D)R!L:6)C+FQI<W0@/B]D978O;G5L
M;"`R/B8Q.R!T:&5N"BMI9B`D=&5S="`B)&-R>7!T;&EB(B`]("UL8W)Y<'0[
M('1H96X**R`@("!E8VAO("=C<GEP="@I(&9O=6YD+B<**R`@("!D7V-R>7!T
M/2(D9&5F:6YE(@HK96QI9B`D8V]N=&%I;G,@)UYC<GEP="0G(&QI8F,N;&ES
M="`^+V1E=B]N=6QL(#(^)C$[('1H96X*("`@("!E8VAO("=C<GEP="@I(&9O
M=6YD+B<*("`@("!D7V-R>7!T/2(D9&5F:6YE(@H@("`@(&-R>7!T;&EB/2<G
!"@``
`
end
Comment 2 Greg Lewis freebsd_committer 2003-09-09 17:30:55 UTC
State Changed
From-To: open->closed

Committed Kevin's updated patch-aa.